package department_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/department_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route delete /api/admin/department department_admin DeleteDepartmentAdmin
//
// Delete department | 删除部门
//
// Delete department | 删除部门
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BaseIDs
//

func DeleteDepartmentAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.BaseIDs
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := department_admin.NewDeleteDepartmentAdminLogic(r, r.Context(), svcCtx)
		err := l.DeleteDepartmentAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
